%define anolis_release 2
Name:       xrandr
Version:    1.5.2
Release:    %{anolis_release}%{?dist}
Summary:    Commandline utility to change output properties

License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  gcc make
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr) >= 1.5
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17

Obsoletes:  xorg-x11-server-utils < 7.7-40

%description
xrandr is a commandline utility to set the size, orientation and/or
reflection of the outputs for an X screen. It can also set the screen size
and turn outputs on and off..

%package doc
Summary:    ChangeLog and INSTALL for %{name}
BuildArch:  noarch

%description doc
ChangeLog and INSTALL belonging to %{name}

%prep
%autosetup

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

# "needs more nickle bindings" since 2009...
rm -f $RPM_BUILD_ROOT%{_bindir}/xkeystone

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{abidir}/xrandr-option.list

%files doc
%doc ChangeLog INSTALL

%changelog
* Wed Feb 8 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.5.2-2
- update abi and add doc pkg

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.5.2-1
- New version 1.5.2

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.1-1
- init from upstream
